[package]
cjc-version = "1.1.3"
name = "simapi"
organization = "simcu"
description = "SimApi 仓颉版：ASP.NET Core 风格 API 基础框架（统一响应/异常拦截/Token认证/缓存/工具集/HTTP客户端）"
version = "1.1.0"
target-dir = ""
output-type = "static"
override-compile-option = ""
link-option = ""
package-configuration = {}

[dependencies]
soulsoft_web_http = "1.0.20260528"
soulsoft_web_routing = "1.0.20260528"
soulsoft_web_hosting = "1.0.20260528"
soulsoft_web_mvc = "1.0.20260528"
soulsoft_web_cors = "1.0.20260528"
soulsoft_extensions_logging = "1.0.20260528"
soulsoft_extensions_logging_console = "1.0.20260528"
soulsoft_extensions_logging_configuration = "1.0.20260528"
soulsoft_extensions_configuration = "1.0.20260528"
soulsoft_extensions_injection = "1.0.20260528"
soulsoft_extensions_options = "1.0.20260528"
redis = "1.0.20260627"
#"simcu::serialization" = { path = "../serialization-cj" }
"simcu::serialization" = "1.2.1"

[target]
[target.x86_64-w64-mingw32]
compile-option = "-Woff unused --diagnostic-format=noColor -Woff deprecated -lcrypt32"
[target.x86_64-w64-mingw32.bin-dependencies]
path-option = ["${CANGJIE_STDX_PATH}"]
[target.x86_64-unknown-linux-gnu]
compile-option = "-Woff unused --diagnostic-format=noColor -Woff deprecated -ldl"
[target.x86_64-unknown-linux-gnu.bin-dependencies]
path-option = ["${CANGJIE_STDX_PATH}"]
[target.aarch64-unknown-linux-gnu]
compile-option = "-Woff unused --diagnostic-format=noColor -Woff deprecated -ldl"
[target.aarch64-unknown-linux-gnu.bin-dependencies]
path-option = ["${CANGJIE_STDX_PATH}"]
